# Fuel Product

The Fuel Product can describe any product used as fuel for an aircraft.

The units of measure available are volumetric since the billed amounts are always metered by volume.

| **Property**            | **Type**        | **Description**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| ----------------------- | --------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `aid`                   | string          | A string with the AID of the Fuel Product, with `FPR` as namespace.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| `name`                  | string          | A label for this fuel product.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `description`           | string, `null`  | A free text description for this product. This should not be used to enter information in contradiction with other properties in this or other models.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `type`                  | string          | <p>A string indicating the type of fuel product being described.<br><br>Possible values are:<br>– <code>JET\_A</code> for JET A fuel<br>– <code>JET\_A1</code> for JET A-1 fuel<br>– <code>JET\_B</code> for JET B fuel<br>– <code>TS1</code> for TS-1 fuel<br>– <code>AVGAS\_100\_130</code> for AvGas 100/130<br>– <code>AVGAS\_100LL</code> for AvGas 100LL<br>– <code>AVGAS\_91\_96UL</code> for AvGas 91/96UL<br>– <code>JP5</code> for military kerosene JP-5<br>– <code>JP8</code> for military kerosene JP-8<br>– <code>MO\_GAS</code> for regular automotive gasoline<br>– <code>DIESEL</code> for regular automotive diesel<br><br><code>null</code> if this information was not added.</p> |
| `price`                 | number          | The unit price for this Fuel Product.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `currency`              | string          | The [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) 3-letters currency code.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `unit`                  | string          | <p>The unit of measure to which the <code>price</code> refers.<br><br>possible values are:<br>– <code>LTR</code> for <a href="https://en.wikipedia.org/wiki/Litre">liters</a><br>– <code>USG</code> for <a href="https://en.wikipedia.org/wiki/Gallon#US_liquid_gallon">US Gallons</a><br>– <code>IMP</code> for <a href="https://en.wikipedia.org/wiki/Gallon#Imperial_gallon">Imperial Gallons</a></p>                                                                                                                                                                                                                                                                                              |
| `limitedAvailability`   | boolean, `null` | <p><code>true</code> indicates that this Fuel Product is available in limited quantity only and that, therefore, operators should make reasonable prior arrangements before planning on uplifting it.<br><br><code>false</code> if the stock level allows usual uplifts to happen without prior arrangement.<br><br>This property only indicates stock levels, and any other prior arrangement required for payment or other purposes is not taken into consideration.</p>                                                                                                                                                                                                                            |
| `minimumVolume`         | number, `null`  | A number between `0` and `999999 that`indicates the minimum volume to which the price is applicable.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `maximumVolume`         | number, `null`  | A number between `0` and `999999 that`indicates the minimum volume to which the price is applicable.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `selfService`           | boolean, `null` | <p>A boolean which indicates if the fuel is applicable to self-service only.</p><p><code>true</code> indicates that the price is for full service only.</p><p><code>false</code> indicates that the price includes service.</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `minimumHandlingWaiver` | number, `null`  | <p>Indicates the minimum amount in <code>unit</code> required to waive handling charges.</p><p>It is a number from <code>0</code> to <code>999999</code>, where <code>999999</code> indicates that handling charges are always applicable.</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `parent`                | string          | The AID of the [Provider](https://docs.aviowiki.com/data-models/provider) which offers this Fuel Product.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |

### Example <a href="#example" id="example"></a>

```

{
  "type": "JET_A1",
  "unit": "USG",
  "currency": "USD",
  "price": 3.47,
  "limitedAvailability": false,
  "selfService": false,
  "minimumVolume": 0,
  "maximumVolume": 200,
  "minimumHandlingWaiver": 50,
  "aid": "FPR-8P21-2ZOY",
  "parent": "PRV-234K-APDB"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aviowiki.com/data-models/fuel-product.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
